Bug 498569 - Losing keyboard layout on reboot or updates (possibly)
Losing keyboard layout on reboot or updates (possibly)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 03:28 EDT by Thierry Mallard
Modified: 2010-06-28 08:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thierry Mallard 2009-05-01 03:28:28 EDT
Description of problem:

The "fr" configuration of the keyboard is dropped on reboot, and possibly on updates, and is automatically set to the default "us" keyboard layout.

Version-Release number of selected component (if applicable):

Fedora 11 Preview 

How reproducible:

Everytime

Steps to Reproduce:
1. Install Fedora 11 Preview
2. Configure the French keyboard layout
3. Reboot
  
Actual results:

The keyboard layout gets back to the default "us" 

Expected results:

The keyboard layout should stays to "fr"

Additional info:

I don't think this is new to the preview release.
Comment 1 Thierry Mallard 2009-05-02 07:19:30 EDT
By changing the /etc/setuptool.d/98system-config-keyboard, the problem is solved, but I don't really know if what I did is relevent :

=> In the 98system-config-keyboard, I manually added the "fr" option on the command line :

/usr/bin/system-config-keyboard --text fr|Keyboard configuration

Hope this helps..
Comment 2 Bug Zapper 2009-06-09 10:55:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 10:02:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:18:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.